- updated to 4.4.5
[packages/rpm.git] / rpm.spec
CommitLineData
52c10eff 1#
2# TODO:
76f35df6
JB
3# - python(abi) cap is not provided automatically (because /usr/bin/python matches
4# ELF first; it should be provided by python-libs not binary anyway)
1d5ec46b 5#
89427592 6# Conditional build:
01d7a578 7%bcond_with static # build static rpm+rpmi
4af66a2c
JB
8%bcond_without apidocs # don't generate documentation with doxygen
9%bcond_with autoreqdep # autogenerate package name deps in addition to sonames/perl(X)
10%bcond_without python # don't build python bindings
11%bcond_without selinux # build without selinux support
632f1b5c 12%bcond_without system_libmagic # don't use system libmagic
33be5db0 13%bcond_with neon # build with HTTP/WebDAV support (neon library)
89427592
JB
14# force_cc - force using __cc other than "%{_target_cpu}-pld-linux-gcc"
15# force_cxx - force using __cxx other than "%{_target_cpu}-pld-linux-g++"
16# force_cpp - force using __cpp other than "%{_target_cpu}-pld-linux-gcc -E"
54bfdf99 17
003a039e 18# versions of required libraries
83d6a3fe
JB
19%define reqdb_ver 4.4.20
20%define reqpopt_ver 1.10.5
33be5db0 21%define beecrypt_ver 2:4.1.2-4
e5f02e49
AM
22Summary: RPM Package Manager
23Summary(de): RPM Packet-Manager
313a4d1a 24Summary(es): Gestor de paquetes RPM
609cc585 25